# Global DPS

*Article Topics:* [*Billers*](/getting-started/common-topics/billers.md)

## Setting Up Global DPS

Before you can begin setting up Global DPS as a biller in NATS, you must first register for an account with Global DPS. To do so, use the information provided by their website to contact them: [https://www.globaldps.com/contact.jsp](http://www.globaldps.com/contact.jsp)

When setting up your account, make sure you record information that is necessary for setup in NATS. This includes:

* Username
* Password
* Transaction File Prefix
* Program Desc

#### FTP Access

In order to use this biller, you must also set up a FTP account that has access to your *../nats/work* directory. To do so, tell your Global DPS contact to send your transaction and cancellation files to the work directory using FTP.

## Setting Up Global DPS in NATS

### Billers Admin

To begin setting up Global DPS as a biller in NATS, go to the [Billers Admin](/nats-admin/billers.md). Select "Global DPS" from the Setup New Biller drop-down menu, and click Add.

When prompted, fill in the available fields with the necessary information. This includes your Username, Password, and Transaction File Prefix-- this information must be obtained directly from Global DPS. After you have filled out the available fields, click Save.

After you have done this, add Global DPS to a cascade of your choosing.&#x20;

For more information on cascades, please see our "[Cascade](/nats-admin/billers/cascades.md)" page.

### Sites Admin

To continue setting up Global DPS in NATS, navigate to the [Sites Admin](/nats-admin/sites.md). In the Sites Admin, create a new tour or edit a currently existing tour to use Global DPS to process transactions.

On the next page, scroll down to the "Join Options for this Tour" section, and click the "Edit Global Option Details" action icon for the join options you want this biller to be configured for.

Under "Biller Codes", locate the field for GLOBALDPS and fill in the "Program Desc" value that you received when setting up with Global DPS. This information must be obtained directly from your biller.

#### Templates

In order to use Global DPS with NATS, you must also edit the *gateway\_join\_check* template for each site you want Global DPS to apply to.

Go to the [Sites Admin](/nats-admin/sites.md) and click the "Edit Site Templates" action icon for the site you wish to edit. On the next page, click the Customize action icon for your *gateway\_join\_check* template.

In this template, you will need to add a few variables. These variables are:

* signup\[phone:1]
* signup\[bank\_city:1]
* signup\[bank\_state:1]

To add the *phone* variable, insert the following example code:

{% code overflow="wrap" %}

```
<TR><TD class="join_name">Phone Number:</TD><TD class="join_value"><input type="text" id=phone name="signup[phone:1]" value="{$vars.phone|default:$mdata.phone}" size=20>
{if $errors.phone}<span class="join_error">{$errors.phone}</span>{/if}</TD></TR>
```

{% endcode %}

To add the *bank\_city* variable, insert the following example code:

{% code overflow="wrap" %}

```
<TR><TD class="join_name">Bank City:</TD><TD class="join_value"><input type="text" name="signup[bank_city:1]" value="{$vars.bank_city}" size=20>
{if $errors.bank_city}<span class="join_error">{$errors.bank_city}</span>{/if}</TD></TR>
```

{% endcode %}

To add the *bank\_state* variable, insert the following example code:

{% code overflow="wrap" %}

```
<TR><TD class="join_name">Bank State:</TD><TD class="join_value"><input type="text" name="signup[bank_state:1]" value="{$vars.bank_state}" size=20>
{if $errors.bank_state}<span class="join_error">{$errors.bank_state}</span>{/if}</TD></TR>
```

{% endcode %}

{% hint style="info" %}
**Please Note:** The *bank\_state* variable must be two characters (i.e., NJ, NY, CA). If it is any shorter or longer, your transaction will be denied by Global DPS.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/getting-started/integrations/supported-billers/global-dps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
